<?php
include_once($_SERVER['DOCUMENT_ROOT'] . '/system/lib/config.php');
echo '01<br/>';
$sys = new System();

// 変数宣言部
$flg	= true;
$uId	= NO_STRING;
$rs		= null;
$rs_msg	= NO_STRING;
echo '02<br/>';
// パラメータ
$uId = $sys -> getDataGet(PARAM_ID);

// データの取得
$rs = $sys -> accessSelect('SELECT_USER_OF_VERIFCATION', array($uId));

// データの存在確認
if(count($rs) != VAL_INT_1) {
	$rs_msg =	'<p>iWallet口座が開設されておりません。<br>'
				. '最初から口座開設お試しください。</p>';
	$flg = false;
}
echo '03<br/>';
if($flg) {
	$row = $sys -> getRowData($rs);

	// ステータスの確認
	if($sys -> getColumnData($row, COLUMN_STATUS) == NO_COUNT) {
		$rs_msg =	'<p>お客様は既にiWallet口座のアクティベートが完了しております。<br>'
				. 'ログインをお試しください。</p>';
		$flg = false;
	}
}
echo '04<br/>';
if($flg) {

	// 有効期限の確認
	if($sys -> getColumnData($row, COLUMN_DIFF_TIME) >= VAL_INT_1) {
		$rs_msg =	'<p>有効期限切れです。<br>'
				. 'コチラよりメールを再送して下さい。</p>';
		return;
	}
}
echo '05<br/>';
if($flg) {
	// 最後までOK
	$sys -> accessModify('', array());
	$rs_msg =	'<p>iWallet口座の開設が完了しました。<br>'
				. 'メールに記載されている口座番号とご登録したパスワードでログインしてください。</p>'
				. '<p class="red">※お客様のステータスは、ご入金およびお支払が可能の状態です。<br>'
				. '銀行への送金または出金、及びプリペイドカードのお申込みは、ご本人確認が必要です。</p>';
}
echo '06<br/>';
echo $rs_msg;
require_once($sys -> getUserHTML('TEMPLATE_REGISTER_STEP_5_PATH', array()));
?>
